# Module mcaptcha::data

source · [−]
Expand description

App data: redis cache, database connections, etc.

## Macros

enum_system_actor 🔒
enum_system_wrapper 🔒

## Structs

Data

App data

## Enums

SystemGroup

Represents mCaptcha cache and master system. When Redis is configured, SystemGroup::Redis is used and in its absense, SystemGroup::Embedded is used

## Type Definitions

Mailer

Mailer data type AsyncSmtpTransport